from django.urls import path

from . import views

urlpatterns = [
    path("", views.loginView, name="loginView"),
    path("lobby/<int:gameid>/<str:username>", views.lobby, name="lobby"),
    path("gamerules/<int:gameid>/", views.gamerules, name="gamerules"),
    path(
        "company/<int:gameid>/<str:username>/startGame/",
        views.startGame,
        name="startGame",
    ),
    path(
        "company/<int:gameid>/<str:username>/worker/<int:workerid>/",
        views.companyWorker,
        name="companyWorker",
    ),
    path(
        "company/<int:gameid>/<str:username>/order/<int:orderid>/",
        views.companyOrder,
        name="companyOrder",
    ),
    path(
        "company/<int:gameid>/<str:username>/training/<int:workerid>/",
        views.companyTraining,
        name="companyTraining",
    ),
    path(
        "company/<int:gameid>/<str:username>/action/<int:actionid>/",
        views.companyAction,
        name="companyAction",
    ),
    path(
        "company/<int:gameid>/<str:username>/events/<int:eventnumber>/",
        views.companyEvent,
        name="companyEvent",
    ),
    path(
        "company/<int:gameid>/<str:username>/setModel/<int:eventid>/<int:modelnumber>",
        views.companyEventSetModel,
        name="companyEventSetModel",
    ),
    path(
        "company/<int:gameid>/<str:username>/specialorder/<int:specialorderid>/",
        views.companySpecialOrder,
        name="companySpecialOrder",
    ),
    path("company/<int:gameid>/<str:username>/", views.company, name="company"),
    path("standings/<int:gameid>/<str:username>/", views.standings, name="standings"),
]
